// pages/orderDetail/orderDetail.js
const app = getApp()
const wxService = require('../../utils/wxService')
const utils = require('../../utils/util')
const envInfo = require('../../config/index').envInfo

wxService.page({

  /**
   * 页面的初始数据
   */
  data: {
    detail: null
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },
  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    const { id } = this.options
    let detailOrderList = wx.getStorageSync('orderList')
    let currentDetail = detailOrderList.filter(item => item.id == id)

    // if (!Object.keys(this.options).length){ return }
    this.setData({
      detail: currentDetail[0]
    })
  },
  // 删除订单
  handelDelOrder() {
    console.log('删除订单')
  },
  // 立即支付
  handelToPay() { console.log('立即支付') },
  // 取消订单
  handelCancelOrder() { console.log('取消订单') },
  // 申请退款
  handelRequestRefund() { console.log('申请退款') },
  // 确认收货
  handelConfirmReceipt() { console.log('确认收货') },
  copy(e) {
    wx.setClipboardData({
      //准备复制的数据
      data: e.currentTarget.dataset.content,
      success: function (res) {
        wx.showToast({
          title: '复制成功',
          icon: 'none'
        });
      }
    });
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})